1 Reply Latest reply on Jun 23, 2014 8:18 AM by Wolf-Dieter Fink

    Any tips/guides on how to migrate/downgrade an .ear from Wildfly to JBOSS 7.1.1

    Marin Dzhigarov Newbie

      Hello community,

       

      I have a rather unusual usecase - I have to migrate / downgrade an application - .ear containing war and ejb jar, that is build on wildfly to a jboss 7.1.1.

      All I want is for you to recommend some articles/topics that might help me.

      Some of the problems I have to deal with:

      1] JBOSS 7.1.1 does not have "multi jsf support" and my app is dependend on myfaces. So I probably have to find a way to package the myfaces libs along with the war.

      2] JBOSS 7.1.1 is missing some ejb parsers that are present in wildfly. I'm getting the following exception when trying to deploy:Caused by: java.lang.IllegalStateException: No parser found for urn:security:1.1
      at org
      .jboss.metadata.ejb.parser.spec.ExtendingMetaDataParser.mandatory(ExtendingMetaDataParser.java:49)
      at org
      .jboss.metadata.ejb.parser.spec.ExtendingMetaDataParser.getParser(ExtendingMetaDataParser.java:44)
      at org
      .jboss.metadata.ejb.parser.spec.ExtendingMetaDataParser.processElement(ExtendingMetaDataParser.java:79)
      at org
      .jboss.metadata.ejb.parser.jboss.ejb3.JBossAssemblyDescriptorMetaDataParser.processElement(JBossAssemblyDescriptorMetaDataParser.java:60)
      at org
      .jboss.metadata.ejb.parser.jboss.ejb3.JBossAssemblyDescriptorMetaDataParser.processElement(JBossAssemblyDescriptorMetaDataParser.java:40)
      at org
      .jboss.metadata.ejb.parser.spec.AbstractMetaDataParser.processElements(AbstractMetaDataParser.java:65)
      at org
      .jboss.metadata.ejb.parser.spec.ExtendingMetaDataParser.parse(ExtendingMetaDataParser.java:57)
      at org
      .jboss.metadata.ejb.parser.jboss.ejb3.JBossEjb3MetaDataParser.parseAssemblyDescriptor(JBossEjb3MetaDataParser.java:114)
      at org
      .jboss.metadata.ejb.parser.jboss.ejb3.JBossEjb3MetaDataParser.processElement(JBossEjb3MetaDataParser.java:161)
      at org
      .jboss.metadata.ejb.parser.jboss.ejb3.JBossEjb3MetaDataParser.processElement(JBossEjb3MetaDataParser.java:40)
      at org
      .jboss.metadata.ejb.parser.spec.AbstractMetaDataParser.processElements(AbstractMetaDataParser.java:65)
      at org
      .jboss.metadata.ejb.parser.jboss.ejb3.JBossEjb3MetaDataParser.parse(JBossEjb3MetaDataParser.java:108)
      at org
      .jboss.as.ejb3.deployment.processors.EjbJarParsingDeploymentUnitProcessor.parseJBossEjb3Xml(EjbJarParsingDeploymentUnitProcessor.java:284)
      at org
      .jboss.as.ejb3.deployment.processors.EjbJarParsingDeploymentUnitProcessor.deploy(EjbJarParsingDeploymentUnitProcessor.java:119)
      at org
      .jboss.as.server.deployment.DeploymentUnitPhaseService.start(DeploymentUnitPhaseService.java:113)
      ... 5 more

      I suppose I have to modify the jboss-ejb3.xml descriptor in the ejb jar and make it compatible with jboss 7, haven't I.

       

      Any suggestions are appreciated!

       

      Best regards,
      Marin